<?php
class cEmpaque{
	function insertar($nom,$fac){
		$sql = "INSERT tb_empaque (
			`tb_empaque_nom` ,
			`tb_empaque_fac`
			)
			VALUES (
			 '$nom',  '$fac'
			);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ultimoInsert(){
		$sql = "SELECT max(tb_empaque_id) as 'id' from tb_empaque"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrarTodos(){
		$sql="SELECT * 
			FROM tb_empaque
			WHERE tb_empaque_xac='1'
			ORDER BY tb_empaque_nom";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrarUno($id){
		$sql="SELECT * 
			FROM tb_empaque
			WHERE tb_empaque_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function comprobar_si_existe($nom){
		$sql="SELECT * 
			FROM tb_empaque
			WHERE tb_empaque_nom='$nom'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function modificar($id,$nom,$fac){ 
		$sql = "UPDATE tb_empaque SET  
			`tb_empaque_nom` =  '$nom',
			`tb_empaque_fac` =  '$fac'
			WHERE  tb_empaque_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_empaque SET
			`tb_empaque_$campo` =  '$valor' 
			WHERE tb_empaque_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function eliminar($id){
		$sql="DELETE FROM tb_empaque WHERE tb_empaque_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>